Summary:        Embedded Linux library
Name:           libell
Version:        0.52
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://01.org/ell
Source0:        https://www.kernel.org/pub/linux/libs/ell/ell-%{version}.tar.xz

BuildRequires:  gcc, make

%description
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons.


%package devel
Summary:        Embedded Linux library development files
Requires:       %{name} = %{version}-%{release}


%description devel
This package provides headers for developing against libell.


%prep
%autosetup -p1 -n ell-%{version}


%build
%configure
%make_build


%install
%make_install
find %{buildroot} -type f -name "*.la" -delete



%files
%license COPYING
%doc AUTHORS ChangeLog
%{_libdir}/libell.so.*


%files devel
%{_includedir}/ell
%{_libdir}/libell.so
%{_libdir}/pkgconfig/ell.pc


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.52-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 cunshunxia <cunshunxia@tencent.com> - 0.52-1
- initial build
